﻿@model AEWeb.ViewModels.Role.RoleListViewModel
@using Microsoft.AspNetCore.Mvc.Localization
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "List of roles";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">

            <div class="ibox">
                <div class="ibox-title">
                    <form role="form" action="@Url.Action("InsertRole","Role")" method="post">
                        <div class="row">
                            <div class="col-md-3 col-sm-6">
                                <div class="form-group">
                                    <input asp-for="NewRole.Role" class="form-control"
                                           placeholder="@Localizer["RolenameFld"]">
                                    <span asp-validation-for="NewRole.Role" class="text-danger"></span>
                                </div>
                            </div>
                            <div class="col-md-2 col-sm-6">
                                <button type="submit" class="btn btn-default btn-sm">
                                    Create role
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="ibox-content">
                    <div class="table-responsive">
                        <div id="DataTables_Table_0_wrapper" class="dataTables_wrapper container-fluid dt-bootstrap4">
                            
                            <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                 aria-live="polite">
                                @Model.MessageNumberEntries
                            </div>

                            <table class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                    <tr>
                                        <th>
                                            Delete
                                        </th>
                                        <th>
                                            Users
                                        </th>
                                        <th>
                                            Permissions
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Roles[0].RoleId)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Roles[0].Role)
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (Model.Roles.Count > 0)
                                    {
                                        foreach (var item in Model.Roles)
                                        {
                                    <tr>
                                        <td class="text-center">
                                            <a asp-action="DeleteRole" asp-route-roleid="@item.RoleId" 
                                               class="text-decoration-none">
                                                <i class="fa fa-trash-o"></i>
                                            </a>
                                        </td>
                                        <td class="text-center">
                                            <a asp-action="UsersInRole" asp-route-roleid="@item.RoleId" 
                                               class="text-decoration-none">
                                                <i class="fa fa-users"></i>
                                            </a>
                                        </td>
                                        <td class="text-center">
                                            <a asp-action="PermissionsInRole" asp-route-roleid="@item.RoleId" class="text-decoration-none">
                                                <i class="fa fa-lock"></i>
                                            </a>
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.RoleId)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.Role)
                                        </td>
                                    </tr>
                                        }
                                    }
                                    else
                                    {
                                        <tr>
                                            <td colspan="4" class="text-center">
                                                @Localizer["NoRoles"]
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>